Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
SkeletonObjectData Class Reference

Data object attached to the skeleton. More...

`#include <ObjectTypes/Skeleton/SkeletonObjectData.hh>`

Inheritance diagram for SkeletonObjectData:

## Public Member Functions
| SkeletonObjectData (const SkeletonObjectData &_copy)
PerObjectData * | copyPerObjectData ()
| Copy Function. More...
int | skin (unsigned int _index)
| Get the skin with given index (0 <= _index < skinCount())
unsigned int | skinCount ()
| Get the number of associated skins.
void | addSkin (int _objectId)
| Add a skin to the skeleton.
void | removeSkin (int _objectId)
| Remove a skin from the skeleton.
void | clearSkins ()
| Remove all skins from the skeleton.
Public Member Functions inherited from PerObjectData
| PerObjectData ()
| You have to provide your own constructor for your object.

## Private Attributes
std::vector< int > | skins_

## Detailed Description

Data object attached to the skeleton.

It stores the object ids of skins attached to this skeleton

Definition at line 63 of file SkeletonObjectData.hh.

## Member Function Documentation

PerObjectData* SkeletonObjectData::copyPerObjectData | ( |  | ) |
| inline virtual

Copy Function.

You have to reimplement this function to allow the core to create a copies of your Object. By default it will return 0;

The function has to create a deep copy of the object, as it will also be used to create backups. If you use pointer inside your class, remember to not copy the pointer only but also the data!

Reimplemented from PerObjectData.

Definition at line 79 of file SkeletonObjectData.hh.

The documentation for this class was generated from the following file:

- ObjectTypes/Skeleton/SkeletonObjectData.hh